Manual parts compatibility is used when your part does not correspond to a catalog product in the compatibility-enabled category in which you want to list.

Relationships between parts and products can be specified manually in the following ways:

  • By Specification

    The relationship between the part and the product is represented by specifications for the part (e.g., dimensions).

  • By Application

    The relationship between the part and the product is explicitly stated.

  • By K type vehicle number

    A K type number represents one or more vehicles that are used as compatibilities.

  • By ePID vehicle number

    An ePID number represents motorcycle or scooter vehicles that are used as compatibilities.

Compatibility by specification

When listing an item with parts compatibility by specification, use item specifics (i.e., Item.ItemSpecifics,) to specify the part's relevant dimensions and characteristics. These specifications match the part with compatible applications.

For example, when listing tires, the parts compatibility is specified by describing the tire's dimensions (i.e., section width, aspect ratio of the sidewall, rim diameter, load index, and speed rating,) using item specifics.

To manually specify parts compatibility by specification:

  1. Review Category Support to determine whether the leaf category supports parts compatibility by specification.

  2. Use getItemAspectsForCategory in the Taxonomy API to determine which item specifics are returned for the Parts & Accessories category, and inspect aspects.localizedAspectName, aspects.aspectConstraint.aspectRequired, and aspects.aspectConstraint.aspectUsage to determine which aspects are required, recommended, or optional.

    Important! The category_tree_id path parameter must be set to 100 in order to retrieve Motors Parts & Accessories categories.

    Parts compatibility by specification is supported in categories for products such as rims and tires. At a minimum, when listing with parts compatibility:

    • Rims require item specifics for the following dimensions or characteristics:

      • Bolt Pattern
      • Offset
      • Rim Diameter
      • Rim Width
    • Tires require item specifics for the following dimensions or characteristics:

      • Aspect Ratio (of the sidewall)
      • Load Index
      • Rim Diameter
      • Section Width
      • Speed Index
  3. List your part, using item specifics to specify the parts compatibility details.

Refer to Retrieve parts compatibilities for listed items for additional information about confirming your parts compatibilities.

For information about listing with item specifics, refer to:

Compatibility by application

Parts compatibility by application is listed by specifying the exact application name-value pairs for the vehicles to which the part applies.

Typical application properties include Year, Make, and Model. Depending on the category and marketplace, Trim and Engine values may also be supported.

Note: The Product Metadata API has been deprecated and decommissioned. Use the compatibilities methods of the Metadata API to retrieve compatibility property names and values for the category.

To manually specify parts compatibility by application:

  1. Review Category Support to determine whether the leaf category supports parts compatibility by application.

  2. Call getCompatibilityPropertyNames in the Metadata API to retrieve the property names needed to list compatibilities.

    Set dataset to Searchable to retrieve property names that can be used to search for corresponding values.

    Inspect properties.propertyNames.propertyName, properties.propertyNames.propertyDisplayName, and properties.propertyNames.propertyNameMetadata.displaySequence in the response.

    The displaySequence values indicate the hierarchy of the data. For example, Engine is subordinate to Trim, which is subordinate to Model.

    Sample request

    {
      "categoryId": "33707",
      "dataset": [
        "Searchable"
      ]
    }

    Sample response fields

    {
      "categoryId": "33707",
      "properties": [
        {
          "dataset": "Searchable",
          "propertyNames": [
            {
              "propertyName": "Year",
              "propertyDisplayName": "Year",
              "propertyNameMetadata": {
                "displaySequence": 1
              }
            },
            {
              "propertyName": "Make",
              "propertyDisplayName": "Make",
              "propertyNameMetadata": {
                "displaySequence": 2
              }
            },
            {
              "propertyName": "Model",
              "propertyDisplayName": "Model",
              "propertyNameMetadata": {
                "displaySequence": 3
              }
            }
          ]
        }
      ]
    }
  3. Call getCompatibilityPropertyValues or getMultiCompatibilityPropertyValues with names from the preceding step to complete the name-value pairs that will make up a compatibility.

    To list with parts compatibility by application, you must include valid Year, Make, and Model values for a given application. Optionally, you can include Trim and Engine values.

    Use propertyFilters to narrow the returned values as you move down the application hierarchy.

    Sample request

    {
      "categoryId": "33707",
      "propertyName": "Model",
      "propertyFilters": [
        {
          "propertyName": "Make",
          "propertyValue": "Honda"
        }
      ]
    }

    Sample response fields

    {
      "categoryId": "33707",
      "propertyName": "Model",
      "propertyValues": [
        {
          "propertyName": "Model",
          "value": "Accord"
        },
        {
          "propertyName": "Model",
          "value": "Civic"
        }
      ]
    }
  4. List your part with an ItemCompatibilityList consisting of name-value pairs (e.g., Year and 2007, Make and Acura, and Model and TL,) that describe the compatibilities.

    Note: If ItemCompatibilityList contains a Compatibility with an invalid combination of name-value pairs, the invalid compatibility will be reported in the Errors node of the response.

    As long as ItemCompatibilityList contains at least one valid Compatibility, the call will succeed and the listing will include all valid item compatibilities.

    If ItemCompatibilityList contains no valid Compatibility, the call will fail.

    The ItemCompatibilityList illustrated below can be used in all calls in the AddItem family, including ReviseItem and fixed-price calls.

    Sample item compatibility list in an AddItem call

    …
    <Item>
       <ItemCompatibilityList>
          <Compatibility>
         <NameValueList>
           <Name>Year</Name>
           <Value>2006</Value>
         </NameValueList>
         <NameValueList>
           <Name>Make</Name>
           <Value>Acura</Value>
         </NameValueList>
         <NameValueList>
           <Name>Model</Name>
           <Value>TL</Value>
         </NameValueList>
         <CompatibilityNotes>Fits for all trims and engines.</CompatibilityNotes>
       </Compatibility>
       <Compatibility>
         <NameValueList>
           <Name>Year</Name>
           <Value>2007</Value>
         </NameValueList>
         <NameValueList>
           <Name>Make</Name>
           <Value>Acura</Value>
         </NameValueList>
         <NameValueList>
           <Name>Model</Name>
           <Value>TL</Value>
         </NameValueList>
         <CompatibilityNotes>Fits for all trims and engines.</CompatibilityNotes>
       </Compatibility>
       <Compatibility>
         <NameValueList>
           <Name>Year</Name>
           <Value>2008</Value>
         </NameValueList>
         <NameValueList>
           <Name>Make</Name>
           <Value>Acura</Value>
         </NameValueList>
         <NameValueList>
           <Name>Model</Name>
           <Value>TL</Value>
         </NameValueList>
         <CompatibilityNotes>Fits for all trims and engines.</CompatibilityNotes>
       </Compatibility>
       <Compatibility>
         <NameValueList>
           <Name>Year</Name>
           <Value>2009</Value>
         </NameValueList>
         <NameValueList>
           <Name>Make</Name>
           <Value>Acura</Value>
         </NameValueList>
         <NameValueList>
           <Name>Model</Name>
           <Value>TL</Value>
         </NameValueList>
         <CompatibilityNotes>Fits for all trims and engines.</CompatibilityNotes>
       </Compatibility>
     </ItemCompatibilityList>
    </Item>
    …
    					

Refer to Retrieve parts compatibilities for listed items for information about confirming your parts compatibilities.

Compatibility by K type

Note: K type is a vehicle specification numbering system provided by TecDoc Information Systems. For more information about TecDoc and the K type numbering system, refer to the TecDoc Portal.

Manually specifying parts compatibility using a K type vehicle specification number (e.g., 25456,) is supported on the following eBay marketplaces:

  • Australia (site ID 15)
  • Germany (site ID 77)
  • United Kingdom (site ID 3)
  • France (site ID 71)
  • Italy (site ID 101)
  • Spain (site ID 186)

K type vehicle numbers provide the best accuracy when specifying vehicle item compatibilities. K type vehicle numbers include the corresponding item compatibility for the make, model, platform, type, engine, and production period of the vehicle.

For example, the K type vehicle number "25456" specifies the following vehicle information:

  • Make: Audi
  • Model: A4
  • Platform: 8k2
  • Type: 1.8 TFSI
  • Engine (KW/PS/ccm): 88/120/1798
  • Production Period: 2008/01- (years 2008, 2009, 2010, and 2011)

    Note: A K type vehicle number typically corresponds to a specific production period (range of years in which the given vehicle was produced). If, for example, the production period covers 3 years, the Compatibility counts as 3 against the maximum-allowed item compatibilities.

    GetItem returns ItemCompatibilityCount, which can help you monitor the number of compatibilities specified for an item. It is important to implement a counter into your application to prevent sellers from specifying more than the maximum number of compatibilities for an item. An AddItem request will fail if the number of compatibilities specified exceeds the maximum allowed.

To manually specify parts compatibility using a K type vehicle number:

  1. Identify the K type vehicle number that corresponds to the products (vehicles) to which your part is compatible.
  2. List your part with an ItemCompatibilityList, consisting of name-value pairs for each K type vehicle number that applies.

    The following sample ItemCompatibilityList can be used in all the AddItem family of calls, including ReviseItem and the fixed-prices calls. Set the Name field to "KType" (the value is not case sensitive) and Value field to the corresponding K type vehicle number.

    <ItemCompatibilityList>
      <Compatibility>
        <NameValueList>
          <Name>KType</Name>
          <Value>27959</Value>
        </NameValueList>
        <CompatibilityNotes>Passt alle ordnungen.</CompatibilityNotes>
      </Compatibility>
    </ItemCompatibilityList>
    					

Note: If the ItemCompatibilityList contains a Compatibility with an invalid combination of name-value pairs, the invalid compatibility will be reported in the Errors node of the response.

However, as long as an ItemCompatibilityList contains at least one valid Compatibility name-value pair, the call will succeed and the listing will include all valid item compatibilities.

If ItemCompatibilityList contains no valid Compatibility, the call will fail.

Motorcycle/scooter compatibility using ePID

The eBay Germany marketplace (ID = 77) and United Kingdom marketplace (ID = 3) allow users to manually specify motorcycle and scooter parts compatibility using an eBay Product ID number (ePID). Refer to the following pages to access the current Master Motorcycle List (MML) to identify the ePID number(s) that correspond the items to be listed:

ePID numbers provide the best accuracy when listing motorcycle and scooter item compatibilities. When you specify an ePID, the number represents the item compatibility for the following vehicle values:

  • make
  • model
  • CCM
  • year
  • submodel

To manually specify parts compatibility using an ePID number:

  1. Identify the ePID number that corresponds to the products (vehicles) to which your part is compatible.

    ePID values are supplied by eBay in the Master Motorcycle List, or MML.

  2. List your parts with an ItemCompatibilityList, which consists of name-value pairs for each ePID vehicle number that applies.
  3. For each ePID value, supply a NameValueList container with the Name field set to "Notes", and the corresponding Value field set to a value that describes part details.

    The following sample ItemCompatibilityList can be used in all the AddItem family of calls, including ReviseItem and the fixed-prices calls. Set the Name field to "ePID" (the value is not case sensitive) and the Value field to the corresponding ePID value, as supplied in the MML.

    <ItemCompatibilityList>
        <Compatibility>
            <NameValueList>
               <Name>ePID</Name>
               <Value>128653462</Value>
            </NameValueList>
            <NameValueList>
                <Name>Notes</Name>
                <Value>Your part notes.</Value>
            </NameValueList>
        </Compatibility>
        <Compatibility>
            <NameValueList>
                <Name>ePID</Name>
                <Value>128652112</Value>
            </NameValueList>
            <NameValueList>
                <Name>Notes</Name>
                <Value>Your part notes.</Value>
            </NameValueList>
        </Compatibility>
        <Compatibility>
            <NameValueList>
                <Name>ePID</Name>
                <Value>124013777</Value>
            </NameValueList>
            <NameValueList>
                <Name>Notes</Name>
                <Value>Your part notes.</Value>
            </NameValueList>
        </Compatibility>
        <Compatibility>
            <NameValueList>
                <Name>ePID</Name>
                <Value>124036883</Value>
            </NameValueList>
            <NameValueList>
               <Name>Notes</Name>
               <Value>Your part notes.</Value>
            </NameValueList>
        </Compatibility>
    </ItemCompatibilityList>
    					

    Note: If the ItemCompatibilityList contains a Compatibility with an invalid combination of name-value pairs, the invalid compatibility will be reported in the Errors node of the response.

    However, as long as an ItemCompatibilityList contains at least one valid Compatibility name-value pair, the call will succeed and the listing will include all valid item compatibilities.

    If ItemCompatibilityList contains no valid Compatibility, the call will fail.